Bug 1210675 (CVE-2015-1860) - CVE-2015-1860 qt: segmentation fault in qgifhandler.cpp
Summary: CVE-2015-1860 qt: segmentation fault in qgifhandler.cpp
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-1860
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1210677
Blocks: 1210676
TreeView+ depends on / blocked
 
Reported: 2015-04-10 10:50 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory corruption flaw was found in the way Qt handled certain GIF image files. If a user loaded a specially crafted GIF image file with an application linked against Qt, it could cause the application to crash or, possibly, execute arbitrary code with the privileges of the user running the application.
Clone Of:
Environment:
Last Closed: 2015-12-22 10:55:14 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-10 10:50:48 UTC
Fuzzing test revealed that for certain malformed gif files, the handler would segfault.

Upstream fix: https://codereview.qt-project.org/#/c/108248/

Acknowledgements:

Red Hat would like to thank Richard Moore of KDE for reporting this issue.

Comment 1 Vasyl Kaigorodov 2015-04-10 10:52:57 UTC
Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1210677]

Comment 2 Stefan Cornelius 2015-04-17 14:19:55 UTC
References:

Upstream advisory:
http://lists.qt-project.org/pipermail/announce/2015-April/000067.html

Comment 3 Fedora Update System 2015-04-21 19:11:35 UTC
qt5-qtbase-5.4.1-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Kevin Kofler 2015-04-21 23:39:14 UTC
Qt 3 appears to be VULNERABLE to this issue. (The offending code can be found in src/kernel/qasyncimageio.cpp.) I am backporting the fix from Qt 4 to the Fedora qt3 package.

Qt 4 and Qt 5 are also vulnerable, and Fedora updates correcting this vulnerability have been issued.

Comment 5 Kevin Kofler 2015-04-22 00:09:38 UTC
Qt 3 patch (backported from Qt 4 by me):
http://pkgs.fedoraproject.org/cgit/qt3.git/plain/qt-x11-free-3.3.8b-CVE-2015-1860.patch

Comment 6 Kevin Kofler 2015-04-22 00:39:49 UTC
Qt 3 security updates filed: https://admin.fedoraproject.org/updates/qt3

Comment 8 Fedora Update System 2015-04-23 16:10:08 UTC
qt-4.8.6-28.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-24 22:48:36 UTC
qt3-3.3.8b-63.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-26 12:43:27 UTC
qt5-qtbase-5.4.1-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-26 12:45:43 UTC
qt5-qtbase-5.4.1-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-29 19:18:11 UTC
qt5-qtbase-5.4.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-30 11:45:42 UTC
qt-4.8.6-28.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-05-01 16:37:10 UTC
qt3-3.3.8b-63.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-05-01 16:49:12 UTC
qt3-3.3.8b-63.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.